package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ModuleDetail;
import com.diagbot.mapper.ModuleDetailMapper;
import com.diagbot.service.ModuleDetailService;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 模型明细表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-22
 */
@Service
public class ModuleDetailServiceImpl extends ServiceImpl<ModuleDetailMapper, ModuleDetail> implements ModuleDetailService {

    @Override
    public void deleteByQuestionIds(Map map) {
        baseMapper.deleteByQuestionIds(map);
    }

    @Override
    public void deleteByModuleIds(Map map) {
        baseMapper.deleteByModuleIds(map);
    }
}
